.news-events {
    /* background-color: #dce7ef; */
    padding: 40px 20px;
    text-align: center;
    /* background: linear-gradient(#F8F7FC, transparent); */
    /* background: linear-gradient(to bottom, #A3BAC3 50%, transparent 50%); */
}

.news-events h2 {
    /* font-size: 2.5rem; */
    margin-bottom: 30px;
    color: #01a7c2;
    /* margin-left: 19.5rem; */
}

.adc-datebg{
    background-color: #01a7c2;
    padding: 7px;
    border-radius: 5px;
    color: #ffffff;
    align-content:center ;
}

.adc-event-card{
box-shadow: 0px 2px 8px 0px rgba(60, 64, 67, 0.25);
padding: 10px;
margin: 15px;
}
.adc-event-sec{
    text-align: start;
    padding-left: 15px;
    align-content: center;   
}
.adc-card-row {
    /* display: flex;
    flex-wrap: wrap;
    row-gap: 4rem;
    column-gap: 1rem; */
    /* align-items: center; */
    /* justify-content: center; */

    display: flex;
        flex-wrap: wrap;
        /* row-gap: 4rem; */
        /* column-gap: 1rem; */
        /* align-items: center; */
        justify-content: center;
}

.adc-col {
    flex: 1 1 calc(33.333% - 1rem); /* Default to 3 columns */
    max-width: calc(33.333% - 1rem);
    box-sizing: border-box;
    display: flex; /* Add flex for alignment */
    flex-direction: column; /* Stack content vertically */
}

.events-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
}

.event-card {
    /* border: 1px solid #ccc;
    border-radius: 8px; */
    /* padding: 20px 30px;
    border-radius: 5px;
    /* height: 14rem; */
    /* background-color: #eaebed; */
    /* width: 300px; */
    /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-align: left;
    position: relative; */ 

    position: relative;
    text-align: start;
    justify-content: flex-end;
    border-bottom: 1px solid #01a7c2;
    margin-bottom: 15px;
    height: 100%;
    
}

.category {
    /* font-size: 0.9rem; */
    margin: 0px;
    text-align: left;
    color: #333;
    font-weight: bold;
    
}

.category2 {
    /* font-size: 0.9rem; */
    /* margin: 0px; */
    text-align: left;
    /* background-color: #758ab1; */
    color: #333;
    font-weight: bold;
    margin-bottom: 0px;
}

.event-card img {
    width: 3rem;
}

.event-card .date {
    font-size: 0.938rem;
    font-style: italic;
    color: #333333;
    margin: 5px 0;
    border-radius: 5px;
}

.event-card .description {
    /* font-size: 1.25rem; */
    color: #333333;
    margin: 15px 0px;
    text-align: start;
    width: 80%;
    margin-top: 2px;
}

.event-card .icon {
    /* font-size: 1.2rem; */
    position: absolute;
    top: 15px;
    right: 15px;
    color: #555;
}

#card-container{
    background: #ffffff;
    border: 1px solid #e9e9e9;
    padding: 30px;
}

.rmoveLst{
    border-bottom: none;
}
.dummy {
    margin-bottom: 70px;
}

/* Table CSS */

table {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
    font-size: 1rem;
    text-align: left;
}
table thead tr {
    background-color: #eaebed;
    color: #333;
    font-weight: bold;
}
table th, table td {
    border: 1px solid #ddd;
    padding: 12px 16px;
}
table tr {
    background-color: #ffffff;
}
table tbody tr:hover {
    background-color: #f7f7f7;
}
table caption {
    margin-bottom: 10px;
    font-size: 1.375rem;
    font-weight: bold;
}

@media (max-width: 1350px) and (min-width: 992px) {
    .events-container {
        width: 100%;
        max-width: 100%;
    }
}

/* Large Screens (Desktop) */
@media (min-width: 1200px) {
    .adc-card-col {
        flex: 1 1 calc(30% - 1rem); /* 3 columns */
        max-width: calc(30% - 1rem);
    }
}

/* Medium Screens (Tablets) */
@media (max-width: 1199px) and (min-width: 769px) {
    .adc-card-col {
        flex: 1 1 calc(48% - 1rem); /* 2 columns */
        max-width: calc(48% - 1rem);
    }
 
    .slider{
        display: block !important;
         }
         .slide-group {
             flex: 0 0 100%;
             display: grid;
             grid-template-columns: repeat(1, 1fr) !important;
             gap: 2rem;
             padding: 0 1rem;
         }
         .slider-wrapper{
             margin: 0px !important;
         }
    
}

/* Small Screens (Phones) */
@media (max-width: 768px) {
    .adc-card-col {
        flex: 1 1 100%; /* 1 column */
        max-width: 100%;
    }
    .adc-datebg {
    margin-bottom: 10px;
    }
    .adc-event-sec{
        padding-left: 0px;
    }
   
    .slider{
        display: block !important;
         }
         .slide-group {
             flex: 0 0 100%;
             display: grid;
             grid-template-columns: repeat(1, 1fr) !important;
             gap: 2rem;
             padding: 0 1rem;
         }
         .slider-wrapper{
             margin: 0px !important;
         }
    
}

  .property --card-rotate-x {
        syntax: "<angle>";
        initial-value: 0deg;
        inherits: false;
    }
    
    
    
    .slider-container {
        position: relative;
        width: 100%;
        max-width: 1200px;
        text-align: start;
    }
    
    .slider-wrapper {
        overflow: hidden;
        margin: 0 80px;
        padding: 30px 0;
    }
    
    .slider {
        display: flex;
        transition: transform var(--slider-transition);
    }
    
    .slide-group {
        flex: 0 0 100%;
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 2rem;
        padding: 0 1rem;
        box-sizing: border-box;
    }
    
    .card-marquee {
        position: relative;
        background: rgba(255, 255, 255, 0.1);
        border-radius: 8px;
        padding: 20px 20px;
        backdrop-filter: blur(10px);
        border: 1px solid rgba(255, 255, 255, 0.1);
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        transform: perspective(1000px) rotateX(var(--card-rotate-x))
            rotateY(var(--card-rotate-y));
        transition: all var(--card-transition);
        transform-style: preserve-3d;
        will-change: transform;
        opacity: 1;
        border: 2px solid transparent;
    }
    .card-marquee:hover {
        background: rgba(255, 255, 255, 0.1);
        border: 2px solid #01a7c2;
        box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
    }
    
    /*.slide-group:hover .card-marquee:not(:hover) {*/
    /*    opacity: 0.5;*/
    /*}*/
    
    .card-marquee img {
        width: 100%;
        /* height: 200px; */
        object-fit: fill;
        margin-bottom: 0px;
    }
    
    .card-marquee:has(.disabled) {
        pointer-events: none;
        opacity: 0.5;
        filter: grayscale(0.5);
        user-select: none;
     }
    
    .card-marquee h3 {
        color: #000000;
        font-size: 1.5rem;
        margin-bottom: 10px;
        font-weight: 600;
    }
    
    .card-marquee p {
        color: #000000;
        margin-top: 20px;
        font-size: 0.938rem;
        color: #333333;
        margin: 8px 0;
        display: flex;

    }

    .card-marquee p img{
        width: 20px;
        padding-right: 10px;
        margin: 0px;
    }

    .card-marquee h6 {
     margin: 0px 0px 15px 0px;
     font-size: 1.1rem;
     min-height:75px;
    }
    
    .slide-content {
      display: flex;
      flex-direction: column;
      align-items: center;
    }

    .eventDet{
        height: 175px;
    }


    .card-marquee button{
        width: 100%;
        padding: 10px;
    }
    
    .nav-btn {
        position: absolute;
        top: calc(50% - 25px);
        transform: translateY(-50%);
        background: rgba(255, 255, 255, 0);
        border: none;
        width: 30px;
        height: 30px;
        cursor: pointer;
        display: grid;
        place-items: center;
        color: #000000;
        font-size: 1.2rem;
        transition: all 0.3s ease;
    }
    
    .nav-btn:hover {
        transform: translateY(-50%) scale(1.5);
    }
    
    .prev-btn {
        left: 40px;
    }
    .next-btn {
        right: 40px;
    }

    p.description:hover {
        text-decoration: underline;
        color: #01a7c2;
    }

   
    .next-btn span{
        right: 40px;
        transform: rotate(180deg);
    }
    
    
    .slider-dots {
        display: flex;
        justify-content: center;
        gap: 10px;
        margin-top: 30px;
    }
    
    .dot {
        width: 12px;
        height: 12px;
        border-radius: 50%;
        background: #eaebed;
        cursor: pointer;
        transition: all 0.3s ease;
    }
    
    .dot.active {
        background: #01a7c2;
        transform: scale(1.5);
    }
    
    #bokeh-background {
        position: absolute;
        top: 0;
        width: 100%;
        height: 100%;
        overflow: hidden;
    }
    
    .bokeh {
        position: absolute;
        border-radius: 50%;
        opacity: 0.25;
        filter: blur(10px);
        box-shadow: 0 0 30px 15px rgba(255, 69, 0, 0.15);
        animation: float 15s infinite;
    }
    
    .bokeh::before,
    .bokeh::after {
        content: "";
        position: absolute;
        border-radius: 50%;
        width: 200%;
        height: 200%;
        top: -50%;
        left: -50%;
        background: inherit;
        filter: blur(30px);
        z-index: -1;
    }
    
    .bokeh::before {
        transform: rotate(45deg);
    }
    
    @keyframes float {
        0% {
            transform: translateY(0) scale(1);
        }
        50% {
            transform: translateY(-100px) scale(1.5);
        }
        100% {
            transform: translateY(0) scale(1);
        }
    }

    
@media (max-width: 1199px) and (min-width: 300px) {
   
    .nav-btn.prev-btn{
        display: none;
    }
    .nav-btn.next-btn{
        display: none;
    }
    .slider-dots{
        display: none;
    }
}

.font-italic{
    font-style: italic;
}

.spekerIc{
    width: 40px; 
    height: 40px; 
    padding-right:10px; 
    color:#fff;
}

.spkDet{
       font-size: 1.2rem;
    position: absolute;
    margin-top: 3px;
}